Skip to main content

Get Network Currency

GET /v1/chains/{chain_id}/networks/{network_id}/currencies/{currency_id}

Retrieves a network currency by its ID.

Headers

HeaderRequiredValue
AuthorizationYesBearer <token>
X-Target-ServerYesnetwork-currencies

Path Parameters

ParameterTypeRequiredDescription
chain_idstring (UUID)YesChain ID
network_idstring (UUID)YesNetwork ID
currency_idstring (UUID)YesCurrency ID

Response

200 OK

{
"id": "880e8400-e29b-41d4-a716-446655440000",
"network_id": "770e8400-e29b-41d4-a716-446655440000",
"name": "USD Coin",
"symbol": "USDC",
"decimals": 6,
"address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"logo_url": "https://example.com/usdc.png",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z",
"deleted_at": null
}

401 Unauthorized

404 Not Found

{
"code": 0,
"domain": 0,
"message": "network currency not found"
}

500 Internal Server Error